<html>
<head>
<title>Ogre::D3D11HardwareVertexBuffer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html">D3D11HardwareVertexBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D11HardwareVertexBuffer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D11HardwareVertexBuffer" --><!-- doxytag: inherits="Ogre::HardwareVertexBuffer" -->
<p>Specialisation of <a class="el" href="classOgre_1_1HardwareVertexBuffer.html" title="Specialisation of HardwareBuffer for a vertex buffer.">HardwareVertexBuffer</a> for D3D11.  
 <a href="classOgre_1_1D3D11HardwareVertexBuffer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html">OgreD3D11HardwareVertexBuffer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::D3D11HardwareVertexBuffer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1D3D11HardwareVertexBuffer__inherit__graph.gif" border="0" usemap="#Ogre_1_1D3D11HardwareVertexBuffer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1D3D11HardwareVertexBuffer_inherit__map" id="Ogre_1_1D3D11HardwareVertexBuffer_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1HardwareVertexBuffer.html" title="Specialisation of HardwareBuffer for a vertex buffer." alt="" coords="25,160,212,189"/><area shape="rect" id="node4" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers." alt="" coords="44,83,193,112"/><area shape="rect" id="node6" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="76,5,161,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1D3D11HardwareVertexBuffer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a6f26f67ab31d60248314c9c6c77c9edb">HBU_STATIC</a> =  1, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630abec61c14b13652a06566a79afd6f7518">HBU_DYNAMIC</a> =  2, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a2fe20ff00e9acb928a2d9680f0c505e2">HBU_WRITE_ONLY</a> =  4, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a246699879ba7647973a2d8ed86acf76f">HBU_DISCARDABLE</a> =  8, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996">HBU_STATIC_WRITE_ONLY</a> =  5, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c">HBU_DYNAMIC_WRITE_ONLY</a> =  6, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a29ff2e0fd2b408359e84291b27282516">HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> =  14
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enums describing buffer usage; not mutually exclusive.  <a href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> { <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fae11601d29cd56aad7ea7a1b23a688b0e">HBL_NORMAL</a>, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa176ad39ac15fc0a6028d820a6fe228ae">HBL_DISCARD</a>, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0faa364c1511514cd4d7ee1e7092eb41288">HBL_READ_ONLY</a>, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa32a2f7b1c3430cc9c3f0f665934d0c4a">HBL_NO_OVERWRITE</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Locking options.  <a href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a8bf74523040557b9a04572eb893af519">D3D11HardwareVertexBuffer</a> (<a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a> *mgr, size_t vertexSize, size_t numVertices, <a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> usage, <a class="el" href="classOgre_1_1D3D11Device.html">D3D11Device</a> &amp;device, bool useSystemMem, bool useShadowBuffer, bool streamOut)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a15efa178897409ac68bba1ad46271fb2">~D3D11HardwareVertexBuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a67de047be86f5038e32736d94bca91ff">lock</a> (size_t offset, size_t length, <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> options)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock the buffer for (potentially) reading / writing.  <a href="#a67de047be86f5038e32736d94bca91ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aed62ee8ce3658cbd3a410592b149e7a5">unlock</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Releases the lock on this buffer.  <a href="#aed62ee8ce3658cbd3a410592b149e7a5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#ab8fb24d8e796d4c3534acf0187f47f6c">readData</a> (size_t offset, size_t length, void *pDest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads data from the buffer and places it in the memory pointed to by pDest.  <a href="#ab8fb24d8e796d4c3534acf0187f47f6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aa43efdd012c3354daf9b2dbcf41003c0">writeData</a> (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes data to the buffer from an area of system memory; note that you must ensure that your buffer is big enough.  <a href="#aa43efdd012c3354daf9b2dbcf41003c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aeeb8e6df6043a3d77ae487f7a1f6ed86">copyData</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy data from another buffer into this one.  <a href="#aeeb8e6df6043a3d77ae487f7a1f6ed86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a07eb73edad0bb070f978ad4d6d40e5b8">isLocked</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not this buffer is currently locked.  <a href="#a07eb73edad0bb070f978ad4d6d40e5b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a69d4f07483138960898b7125e4814091">releaseIfDefaultPool</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">For dealing with lost devices - release the resource if in the default pool.  <a href="#a69d4f07483138960898b7125e4814091"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a04da3bd9706ccbb0fb3bcb9f50ea04b3">recreateIfDefaultPool</a> (<a class="el" href="classOgre_1_1D3D11Device.html">D3D11Device</a> &amp;device)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">For dealing with lost devices - recreate the resource if in the default pool.  <a href="#a04da3bd9706ccbb0fb3bcb9f50ea04b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11Buffer *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a48849a2790dbf03026644a640b7ad029">getD3DVertexBuffer</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the D3D-specific vertex buffer.  <a href="#a48849a2790dbf03026644a640b7ad029"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a4ed0f6954395556a3dbc5899fe5df401">getManager</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the manager of this buffer, if any.  <a href="#a4ed0f6954395556a3dbc5899fe5df401"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#adc5090970f3336432f181a42564855c7">getVertexSize</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the size in bytes of a single vertex in this buffer.  <a href="#adc5090970f3336432f181a42564855c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#aadf84ce66787e07b1119e278fdd67a6e">getNumVertices</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of vertices in this buffer.  <a href="#aadf84ce66787e07b1119e278fdd67a6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#ad1690aff2bf71373e8dca22c5161e493">getIsInstanceData</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get if this vertex buffer is an "instance data" buffer (per instance)  <a href="#ad1690aff2bf71373e8dca22c5161e493"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#ae57160dc300a13c6b37cfc8c56edd82c">setIsInstanceData</a> (const bool val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set if this vertex buffer is an "instance data" buffer (per instance)  <a href="#ae57160dc300a13c6b37cfc8c56edd82c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a8e429a2b99675667ce7444bef6d74103">getInstanceDataStepRate</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of instances to draw using the same per-instance data before advancing in the buffer by one element.  <a href="#a8e429a2b99675667ce7444bef6d74103"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a77a0371bc1b1f48fe6303df7d26267fe">setInstanceDataStepRate</a> (const size_t val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the number of instances to draw using the same per-instance data before advancing in the buffer by one element.  <a href="#a77a0371bc1b1f48fe6303df7d26267fe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a93b204642190e611bc226ea08d29160e">lock</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> options)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock the entire buffer for (potentially) reading / writing.  <a href="#a93b204642190e611bc226ea08d29160e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a0bf3147b1f99a81dd84fb7b978c4686d">copyData</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;srcBuffer)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy all data from another buffer into this one.  <a href="#a0bf3147b1f99a81dd84fb7b978c4686d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a344c52f2214eaff097d5fbc390e7684b">_updateFromShadow</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the real buffer from the shadow buffer, if required.  <a href="#a344c52f2214eaff097d5fbc390e7684b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a1b1b5faf06139040824fd989d0b279f8">getSizeInBytes</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of this buffer in bytes.  <a href="#a1b1b5faf06139040824fd989d0b279f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a0e00770f5e9395e41b6520be8421a6c8">getUsage</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the Usage flags with which this buffer was created.  <a href="#a0e00770f5e9395e41b6520be8421a6c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a61086322fba08abadf4fe6734a7c70f7">isSystemMemory</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether this buffer is held in system memory.  <a href="#a61086322fba08abadf4fe6734a7c70f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#ad523887cfaa6abe48dd494a3ea06805a">hasShadowBuffer</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether this buffer has a system memory shadow for quicker reading.  <a href="#ad523887cfaa6abe48dd494a3ea06805a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a688e1be4a913099ce5e06172771e2d45">suppressHardwareUpdate</a> (bool suppress)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> true to suppress hardware upload of shadow buffer changes.  <a href="#a688e1be4a913099ce5e06172771e2d45"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#acc174e303eb48b1a3b0cc526d2f30a4d">lockImpl</a> (size_t offset, size_t length, <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> options)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal implementation of <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a67de047be86f5038e32736d94bca91ff" title="Lock the buffer for (potentially) reading / writing.">lock()</a>  <a href="#acc174e303eb48b1a3b0cc526d2f30a4d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aa390dfe288ed162ba451cbe68298ca72">unlockImpl</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal implementation of <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aed62ee8ce3658cbd3a410592b149e7a5" title="Releases the lock on this buffer.">unlock()</a>  <a href="#aa390dfe288ed162ba451cbe68298ca72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a7bf67cf28784a047fae3f0837c19c742">checkIfVertexInstanceDataIsSupported</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if vertex instance data is supported by the render system.  <a href="#a7bf67cf28784a047fae3f0837c19c742"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D11HardwareBuffer.html">D3D11HardwareBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a0edeb7130d69901af3108cf688bd3001">mBufferImpl</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a76962312880d3d62c29bd02db4889404">mMgr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a36d77550269d084792c0c863ca5e8a35">mNumVertices</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#ab8eb0ea0224219c41ce7630bdfa1fa8c">mVertexSize</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#aa35769af03b2b6d71ac38e8f2aaba78a">mIsInstanceData</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a9b6f93aec8f3a810822de34cc1c902c7">mInstanceDataStepRate</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#aa8fecea9221ffacaae2f1fdea38558da">mSizeInBytes</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a2eb83f024781415a7fefb31f65a255c2">mUsage</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a25edb91791e48a7cc9ba2fb05f11bd33">mIsLocked</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a272cf9751affd73ea03930153357930b">mLockStart</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#ac96a7a04f4e29d8d00117a80d9a1c9a0">mLockSize</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#af97b321278124803d13b700a46657ecb">mSystemMemory</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a2caed02d4c9ad400d020ea8b0b24adf4">mUseShadowBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#aa7af816828af5aceb84033a9e101efb6">mShadowBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a68127e87e132304c7655df554a82110c">mShadowUpdated</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a47e53af2e87624c42ab934766bf65fca">mSuppressHardwareUpdate</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialisation of <a class="el" href="classOgre_1_1HardwareVertexBuffer.html" title="Specialisation of HardwareBuffer for a vertex buffer.">HardwareVertexBuffer</a> for D3D11. </p>

<p>Definition at line <a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html#l00037">37</a> of file <a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html">OgreD3D11HardwareVertexBuffer.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="aac34930556f611928ec9157c04bd1b0f"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::LockOptions" ref="aac34930556f611928ec9157c04bd1b0f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">Ogre::HardwareBuffer::LockOptions</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Locking options. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="aac34930556f611928ec9157c04bd1b0fae11601d29cd56aad7ea7a1b23a688b0e"></a><!-- doxytag: member="HBL_NORMAL" ref="aac34930556f611928ec9157c04bd1b0fae11601d29cd56aad7ea7a1b23a688b0e" args="" -->HBL_NORMAL</em>&nbsp;</td><td>
<p>Normal mode, ie allows read/write and contents are preserved. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aac34930556f611928ec9157c04bd1b0fa176ad39ac15fc0a6028d820a6fe228ae"></a><!-- doxytag: member="HBL_DISCARD" ref="aac34930556f611928ec9157c04bd1b0fa176ad39ac15fc0a6028d820a6fe228ae" args="" -->HBL_DISCARD</em>&nbsp;</td><td>
<p>Discards the <em>entire</em> buffer while locking; this allows optimisation to be performed because synchronisation issues are relaxed. </p>
<p>Only allowed on buffers created with the HBU_DYNAMIC flag. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aac34930556f611928ec9157c04bd1b0faa364c1511514cd4d7ee1e7092eb41288"></a><!-- doxytag: member="HBL_READ_ONLY" ref="aac34930556f611928ec9157c04bd1b0faa364c1511514cd4d7ee1e7092eb41288" args="" -->HBL_READ_ONLY</em>&nbsp;</td><td>
<p>Lock the buffer for reading only. </p>
<p>Not allowed in buffers which are created with HBU_WRITE_ONLY. Mandatory on static buffers, i.e. those created without the HBU_DYNAMIC flag. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aac34930556f611928ec9157c04bd1b0fa32a2f7b1c3430cc9c3f0f665934d0c4a"></a><!-- doxytag: member="HBL_NO_OVERWRITE" ref="aac34930556f611928ec9157c04bd1b0fa32a2f7b1c3430cc9c3f0f665934d0c4a" args="" -->HBL_NO_OVERWRITE</em>&nbsp;</td><td>
<p>As HBL_NORMAL, except the application guarantees not to overwrite any region of the buffer which has already been used in this frame, can allow some optimisation on some APIs. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00121">121</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::Usage" ref="ae51f5970d879af736e4cf53e1ec46630" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Ogre::HardwareBuffer::Usage</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enums describing buffer usage; not mutually exclusive. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a6f26f67ab31d60248314c9c6c77c9edb"></a><!-- doxytag: member="HBU_STATIC" ref="ae51f5970d879af736e4cf53e1ec46630a6f26f67ab31d60248314c9c6c77c9edb" args="" -->HBU_STATIC</em>&nbsp;</td><td>
<p>Static buffer which the application rarely modifies once created. </p>
<p>Modifying the contents of this buffer will involve a performance hit. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630abec61c14b13652a06566a79afd6f7518"></a><!-- doxytag: member="HBU_DYNAMIC" ref="ae51f5970d879af736e4cf53e1ec46630abec61c14b13652a06566a79afd6f7518" args="" -->HBU_DYNAMIC</em>&nbsp;</td><td>
<p>Indicates the application would like to modify this buffer with the CPU fairly often. </p>
<p>Buffers created with this flag will typically end up in AGP memory rather than video memory. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a2fe20ff00e9acb928a2d9680f0c505e2"></a><!-- doxytag: member="HBU_WRITE_ONLY" ref="ae51f5970d879af736e4cf53e1ec46630a2fe20ff00e9acb928a2d9680f0c505e2" args="" -->HBU_WRITE_ONLY</em>&nbsp;</td><td>
<p>Indicates the application will never read the contents of the buffer back, it will only ever write data. </p>
<p>Locking a buffer with this flag will ALWAYS return a pointer to new, blank memory rather than the memory associated with the contents of the buffer; this avoids DMA stalls because you can write to a new memory area while the previous one is being used. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a246699879ba7647973a2d8ed86acf76f"></a><!-- doxytag: member="HBU_DISCARDABLE" ref="ae51f5970d879af736e4cf53e1ec46630a246699879ba7647973a2d8ed86acf76f" args="" -->HBU_DISCARDABLE</em>&nbsp;</td><td>
<p>Indicates that the application will be refilling the contents of the buffer regularly (not just updating, but generating the contents from scratch), and therefore does not mind if the contents of the buffer are lost somehow and need to be recreated. </p>
<p>This allows and additional level of optimisation on the buffer. This option only really makes sense when combined with HBU_DYNAMIC_WRITE_ONLY. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996"></a><!-- doxytag: member="HBU_STATIC_WRITE_ONLY" ref="ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" args="" -->HBU_STATIC_WRITE_ONLY</em>&nbsp;</td><td>
<p>Combination of HBU_STATIC and HBU_WRITE_ONLY. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c"></a><!-- doxytag: member="HBU_DYNAMIC_WRITE_ONLY" ref="ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c" args="" -->HBU_DYNAMIC_WRITE_ONLY</em>&nbsp;</td><td>
<p>Combination of HBU_DYNAMIC and HBU_WRITE_ONLY. </p>
<p>If you use this, strongly consider using HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE instead if you update the entire contents of the buffer very regularly. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a29ff2e0fd2b408359e84291b27282516"></a><!-- doxytag: member="HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE" ref="ae51f5970d879af736e4cf53e1ec46630a29ff2e0fd2b408359e84291b27282516" args="" -->HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</em>&nbsp;</td><td>
<p>Combination of HBU_DYNAMIC, HBU_WRITE_ONLY and HBU_DISCARDABLE. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00079">79</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8bf74523040557b9a04572eb893af519"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::D3D11HardwareVertexBuffer" ref="a8bf74523040557b9a04572eb893af519" args="(HardwareBufferManagerBase *mgr, size_t vertexSize, size_t numVertices, HardwareBuffer::Usage usage, D3D11Device &amp;device, bool useSystemMem, bool useShadowBuffer, bool streamOut)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a8bf74523040557b9a04572eb893af519">Ogre::D3D11HardwareVertexBuffer::D3D11HardwareVertexBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a> *&#160;</td>
          <td class="paramname"><em>mgr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertexSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>numVertices</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&#160;</td>
          <td class="paramname"><em>usage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D11Device.html">D3D11Device</a> &amp;&#160;</td>
          <td class="paramname"><em>device</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useSystemMem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useShadowBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>streamOut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a15efa178897409ac68bba1ad46271fb2"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::~D3D11HardwareVertexBuffer" ref="a15efa178897409ac68bba1ad46271fb2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a15efa178897409ac68bba1ad46271fb2">Ogre::D3D11HardwareVertexBuffer::~D3D11HardwareVertexBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a344c52f2214eaff097d5fbc390e7684b"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::_updateFromShadow" ref="a344c52f2214eaff097d5fbc390e7684b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1HardwareBuffer.html#a344c52f2214eaff097d5fbc390e7684b">Ogre::HardwareBuffer::_updateFromShadow</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Updates the real buffer from the shadow buffer, if required. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GLESHardwareVertexBuffer.html#a1fa2087b5fcb52dc7990caf4a8df7564">Ogre::GLESHardwareVertexBuffer</a>, <a class="el" href="classOgre_1_1GLES2HardwareVertexBuffer.html#a0c195f00d7faf0c4f2a69a9f266dd1e7">Ogre::GLES2HardwareVertexBuffer</a>, <a class="el" href="classOgre_1_1GLESHardwareIndexBuffer.html#afcdd7d1a479f5db770472339215dc680">Ogre::GLESHardwareIndexBuffer</a>, <a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#ad3219addcfdce2d004259d77030197fb">Ogre::GLES2HardwareIndexBuffer</a>, <a class="el" href="classOgre_1_1GLHardwareVertexBuffer.html#a770bdaf9b841a146c1f9254129d26a03">Ogre::GLHardwareVertexBuffer</a>, and <a class="el" href="classOgre_1_1GLHardwareIndexBuffer.html#a2e41fb0146913c740432a990b75216a5">Ogre::GLHardwareIndexBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00303">303</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7bf67cf28784a047fae3f0837c19c742"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::checkIfVertexInstanceDataIsSupported" ref="a7bf67cf28784a047fae3f0837c19c742" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a7bf67cf28784a047fae3f0837c19c742">Ogre::HardwareVertexBuffer::checkIfVertexInstanceDataIsSupported</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Checks if vertex instance data is supported by the render system. </p>

</div>
</div>
<a class="anchor" id="aeeb8e6df6043a3d77ae487f7a1f6ed86"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::copyData" ref="aeeb8e6df6043a3d77ae487f7a1f6ed86" args="(HardwareBuffer &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aeeb8e6df6043a3d77ae487f7a1f6ed86">Ogre::D3D11HardwareVertexBuffer::copyData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;&#160;</td>
          <td class="paramname"><em>srcBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>srcOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>dstOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>discardWholeBuffer</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Copy data from another buffer into this one. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Note that the source buffer must not be created with the usage HBU_WRITE_ONLY otherwise this will fail. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">srcBuffer</td><td>The buffer from which to read the copied data </td></tr>
    <tr><td class="paramname">srcOffset</td><td>Offset in the source buffer at which to start reading </td></tr>
    <tr><td class="paramname">dstOffset</td><td>Offset in the destination buffer to start writing </td></tr>
    <tr><td class="paramname">length</td><td>Length of the data to copy, in bytes. </td></tr>
    <tr><td class="paramname">discardWholeBuffer</td><td>If true, will discard the entire contents of this buffer before copying </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1HardwareBuffer.html#a721891f0c0bd391dd5848c8a585ba054">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="a0bf3147b1f99a81dd84fb7b978c4686d"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::copyData" ref="a0bf3147b1f99a81dd84fb7b978c4686d" args="(HardwareBuffer &amp;srcBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1HardwareBuffer.html#a721891f0c0bd391dd5848c8a585ba054">Ogre::HardwareBuffer::copyData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;&#160;</td>
          <td class="paramname"><em>srcBuffer</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Copy all data from another buffer into this one. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Normally these buffers should be of identical size, but if they're not, the routine will use the smallest of the two sizes. </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00296">296</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

<p>References <a class="el" href="OgreHardwareBuffer_8h_source.html#l00328">Ogre::HardwareBuffer::getSizeInBytes()</a>.</p>

</div>
</div>
<a class="anchor" id="a48849a2790dbf03026644a640b7ad029"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::getD3DVertexBuffer" ref="a48849a2790dbf03026644a640b7ad029" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11Buffer* <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a48849a2790dbf03026644a640b7ad029">Ogre::D3D11HardwareVertexBuffer::getD3DVertexBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the D3D-specific vertex buffer. </p>

</div>
</div>
<a class="anchor" id="a8e429a2b99675667ce7444bef6d74103"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::getInstanceDataStepRate" ref="a8e429a2b99675667ce7444bef6d74103" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a8e429a2b99675667ce7444bef6d74103">Ogre::HardwareVertexBuffer::getInstanceDataStepRate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of instances to draw using the same per-instance data before advancing in the buffer by one element. </p>

</div>
</div>
<a class="anchor" id="ad1690aff2bf71373e8dca22c5161e493"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::getIsInstanceData" ref="ad1690aff2bf71373e8dca22c5161e493" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#ad1690aff2bf71373e8dca22c5161e493">Ogre::HardwareVertexBuffer::getIsInstanceData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get if this vertex buffer is an "instance data" buffer (per instance) </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00071">71</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4ed0f6954395556a3dbc5899fe5df401"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::getManager" ref="a4ed0f6954395556a3dbc5899fe5df401" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a>* <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a4ed0f6954395556a3dbc5899fe5df401">Ogre::HardwareVertexBuffer::getManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the manager of this buffer, if any. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00065">65</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aadf84ce66787e07b1119e278fdd67a6e"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::getNumVertices" ref="aadf84ce66787e07b1119e278fdd67a6e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#aadf84ce66787e07b1119e278fdd67a6e">Ogre::HardwareVertexBuffer::getNumVertices</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of vertices in this buffer. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00069">69</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1b1b5faf06139040824fd989d0b279f8"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::getSizeInBytes" ref="a1b1b5faf06139040824fd989d0b279f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#a1b1b5faf06139040824fd989d0b279f8">Ogre::HardwareBuffer::getSizeInBytes</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the size of this buffer in bytes. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00328">328</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareBuffer_8h_source.html#l00296">Ogre::HardwareBuffer::copyData()</a>.</p>

</div>
</div>
<a class="anchor" id="a0e00770f5e9395e41b6520be8421a6c8"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::getUsage" ref="a0e00770f5e9395e41b6520be8421a6c8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a> <a class="el" href="classOgre_1_1HardwareBuffer.html#a0e00770f5e9395e41b6520be8421a6c8">Ogre::HardwareBuffer::getUsage</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the Usage flags with which this buffer was created. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00330">330</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="adc5090970f3336432f181a42564855c7"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::getVertexSize" ref="adc5090970f3336432f181a42564855c7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#adc5090970f3336432f181a42564855c7">Ogre::HardwareVertexBuffer::getVertexSize</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the size in bytes of a single vertex in this buffer. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00067">67</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad523887cfaa6abe48dd494a3ea06805a"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::hasShadowBuffer" ref="ad523887cfaa6abe48dd494a3ea06805a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#ad523887cfaa6abe48dd494a3ea06805a">Ogre::HardwareBuffer::hasShadowBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether this buffer has a system memory shadow for quicker reading. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00334">334</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a07eb73edad0bb070f978ad4d6d40e5b8"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::isLocked" ref="a07eb73edad0bb070f978ad4d6d40e5b8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a07eb73edad0bb070f978ad4d6d40e5b8">Ogre::D3D11HardwareVertexBuffer::isLocked</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not this buffer is currently locked. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1HardwareBuffer.html#a3d5a62cbd76fc2ecd4e1a540bac5f9bc">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="a61086322fba08abadf4fe6734a7c70f7"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::isSystemMemory" ref="a61086322fba08abadf4fe6734a7c70f7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a61086322fba08abadf4fe6734a7c70f7">Ogre::HardwareBuffer::isSystemMemory</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether this buffer is held in system memory. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00332">332</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a67de047be86f5038e32736d94bca91ff"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::lock" ref="a67de047be86f5038e32736d94bca91ff" args="(size_t offset, size_t length, LockOptions options)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a67de047be86f5038e32736d94bca91ff">Ogre::D3D11HardwareVertexBuffer::lock</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lock the buffer for (potentially) reading / writing. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">offset</td><td>The byte offset from the start of the buffer to lock </td></tr>
    <tr><td class="paramname">length</td><td>The size of the area to lock, in bytes </td></tr>
    <tr><td class="paramname">options</td><td>Locking options </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to the locked memory </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1HardwareBuffer.html#ab1caebda1f7442706df97531c2d90aaf">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="a93b204642190e611bc226ea08d29160e"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::lock" ref="a93b204642190e611bc226ea08d29160e" args="(LockOptions options)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1HardwareBuffer.html#ab1caebda1f7442706df97531c2d90aaf">Ogre::HardwareBuffer::lock</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lock the entire buffer for (potentially) reading / writing. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">options</td><td>Locking options </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to the locked memory </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00218">218</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="acc174e303eb48b1a3b0cc526d2f30a4d"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::lockImpl" ref="acc174e303eb48b1a3b0cc526d2f30a4d" args="(size_t offset, size_t length, LockOptions options)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#acc174e303eb48b1a3b0cc526d2f30a4d">Ogre::D3D11HardwareVertexBuffer::lockImpl</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal implementation of <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a67de047be86f5038e32736d94bca91ff" title="Lock the buffer for (potentially) reading / writing.">lock()</a> </p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#a59021d471dfa4598bd1a98d6982ac558">Ogre::HardwareBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html#l00042">42</a> of file <a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html">OgreD3D11HardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab8fb24d8e796d4c3534acf0187f47f6c"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::readData" ref="ab8fb24d8e796d4c3534acf0187f47f6c" args="(size_t offset, size_t length, void *pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#ab8fb24d8e796d4c3534acf0187f47f6c">Ogre::D3D11HardwareVertexBuffer::readData</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pDest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reads data from the buffer and places it in the memory pointed to by pDest. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">offset</td><td>The byte offset from the start of the buffer to read </td></tr>
    <tr><td class="paramname">length</td><td>The size of the area to read, in bytes </td></tr>
    <tr><td class="paramname">pDest</td><td>The area of memory in which to place the data, must be large enough to accommodate the data! </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#a552f466b57ba77f29e083266d4688765">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="a04da3bd9706ccbb0fb3bcb9f50ea04b3"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::recreateIfDefaultPool" ref="a04da3bd9706ccbb0fb3bcb9f50ea04b3" args="(D3D11Device &amp;device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a04da3bd9706ccbb0fb3bcb9f50ea04b3">Ogre::D3D11HardwareVertexBuffer::recreateIfDefaultPool</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D11Device.html">D3D11Device</a> &amp;&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>For dealing with lost devices - recreate the resource if in the default pool. </p>

</div>
</div>
<a class="anchor" id="a69d4f07483138960898b7125e4814091"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::releaseIfDefaultPool" ref="a69d4f07483138960898b7125e4814091" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a69d4f07483138960898b7125e4814091">Ogre::D3D11HardwareVertexBuffer::releaseIfDefaultPool</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>For dealing with lost devices - release the resource if in the default pool. </p>

</div>
</div>
<a class="anchor" id="a77a0371bc1b1f48fe6303df7d26267fe"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::setInstanceDataStepRate" ref="a77a0371bc1b1f48fe6303df7d26267fe" args="(const size_t val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a77a0371bc1b1f48fe6303df7d26267fe">Ogre::HardwareVertexBuffer::setInstanceDataStepRate</a> </td>
          <td>(</td>
          <td class="paramtype">const size_t&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the number of instances to draw using the same per-instance data before advancing in the buffer by one element. </p>

</div>
</div>
<a class="anchor" id="ae57160dc300a13c6b37cfc8c56edd82c"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::setIsInstanceData" ref="ae57160dc300a13c6b37cfc8c56edd82c" args="(const bool val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#ae57160dc300a13c6b37cfc8c56edd82c">Ogre::HardwareVertexBuffer::setIsInstanceData</a> </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set if this vertex buffer is an "instance data" buffer (per instance) </p>

</div>
</div>
<a class="anchor" id="a688e1be4a913099ce5e06172771e2d45"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::suppressHardwareUpdate" ref="a688e1be4a913099ce5e06172771e2d45" args="(bool suppress)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HardwareBuffer.html#a688e1be4a913099ce5e06172771e2d45">Ogre::HardwareBuffer::suppressHardwareUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>suppress</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> true to suppress hardware upload of shadow buffer changes. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00340">340</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aed62ee8ce3658cbd3a410592b149e7a5"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::unlock" ref="aed62ee8ce3658cbd3a410592b149e7a5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aed62ee8ce3658cbd3a410592b149e7a5">Ogre::D3D11HardwareVertexBuffer::unlock</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Releases the lock on this buffer. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Locking and unlocking a buffer can, in some rare circumstances such as switching video modes whilst the buffer is locked, corrupt the contents of a buffer. This is pretty rare, but if it occurs, this method will throw an exception, meaning you must re-upload the data. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Note that using the 'read' and 'write' forms of updating the buffer does not suffer from this problem, so if you want to be 100% sure your data will not be lost, use the 'read' and 'write' forms instead. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1HardwareBuffer.html#a64ddd429ff2c8ac4f0cca5decb5c6757">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="aa390dfe288ed162ba451cbe68298ca72"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::unlockImpl" ref="aa390dfe288ed162ba451cbe68298ca72" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aa390dfe288ed162ba451cbe68298ca72">Ogre::D3D11HardwareVertexBuffer::unlockImpl</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal implementation of <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aed62ee8ce3658cbd3a410592b149e7a5" title="Releases the lock on this buffer.">unlock()</a> </p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#a82ec5566379a4c76fea8b68d55ee9d6f">Ogre::HardwareBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html#l00043">43</a> of file <a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html">OgreD3D11HardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa43efdd012c3354daf9b2dbcf41003c0"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::writeData" ref="aa43efdd012c3354daf9b2dbcf41003c0" args="(size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aa43efdd012c3354daf9b2dbcf41003c0">Ogre::D3D11HardwareVertexBuffer::writeData</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>discardWholeBuffer</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Writes data to the buffer from an area of system memory; note that you must ensure that your buffer is big enough. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">offset</td><td>The byte offset from the start of the buffer to start writing </td></tr>
    <tr><td class="paramname">length</td><td>The size of the data to write to, in bytes </td></tr>
    <tr><td class="paramname">pSource</td><td>The source of the data to be written </td></tr>
    <tr><td class="paramname">discardWholeBuffer</td><td>If true, this allows the driver to discard the entire buffer when writing, such that DMA stalls can be avoided; use if you can. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#a8c313688a0df3c28a36738c31fcbc3ee">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a0edeb7130d69901af3108cf688bd3001"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mBufferImpl" ref="a0edeb7130d69901af3108cf688bd3001" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11HardwareBuffer.html">D3D11HardwareBuffer</a>* <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a0edeb7130d69901af3108cf688bd3001">Ogre::D3D11HardwareVertexBuffer::mBufferImpl</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html#l00040">40</a> of file <a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html">OgreD3D11HardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9b6f93aec8f3a810822de34cc1c902c7"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mInstanceDataStepRate" ref="a9b6f93aec8f3a810822de34cc1c902c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a9b6f93aec8f3a810822de34cc1c902c7">Ogre::HardwareVertexBuffer::mInstanceDataStepRate</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00055">55</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa35769af03b2b6d71ac38e8f2aaba78a"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mIsInstanceData" ref="aa35769af03b2b6d71ac38e8f2aaba78a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#aa35769af03b2b6d71ac38e8f2aaba78a">Ogre::HardwareVertexBuffer::mIsInstanceData</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00054">54</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a25edb91791e48a7cc9ba2fb05f11bd33"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mIsLocked" ref="a25edb91791e48a7cc9ba2fb05f11bd33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a25edb91791e48a7cc9ba2fb05f11bd33">Ogre::HardwareBuffer::mIsLocked</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00143">143</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac96a7a04f4e29d8d00117a80d9a1c9a0"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mLockSize" ref="ac96a7a04f4e29d8d00117a80d9a1c9a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#ac96a7a04f4e29d8d00117a80d9a1c9a0">Ogre::HardwareBuffer::mLockSize</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00145">145</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a272cf9751affd73ea03930153357930b"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mLockStart" ref="a272cf9751affd73ea03930153357930b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#a272cf9751affd73ea03930153357930b">Ogre::HardwareBuffer::mLockStart</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00144">144</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a76962312880d3d62c29bd02db4889404"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mMgr" ref="a76962312880d3d62c29bd02db4889404" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a>* <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a76962312880d3d62c29bd02db4889404">Ogre::HardwareVertexBuffer::mMgr</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00051">51</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a36d77550269d084792c0c863ca5e8a35"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mNumVertices" ref="a36d77550269d084792c0c863ca5e8a35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a36d77550269d084792c0c863ca5e8a35">Ogre::HardwareVertexBuffer::mNumVertices</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00052">52</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa7af816828af5aceb84033a9e101efb6"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mShadowBuffer" ref="aa7af816828af5aceb84033a9e101efb6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a>* <a class="el" href="classOgre_1_1HardwareBuffer.html#aa7af816828af5aceb84033a9e101efb6">Ogre::HardwareBuffer::mShadowBuffer</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00148">148</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a68127e87e132304c7655df554a82110c"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mShadowUpdated" ref="a68127e87e132304c7655df554a82110c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a68127e87e132304c7655df554a82110c">Ogre::HardwareBuffer::mShadowUpdated</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00149">149</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa8fecea9221ffacaae2f1fdea38558da"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mSizeInBytes" ref="aa8fecea9221ffacaae2f1fdea38558da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#aa8fecea9221ffacaae2f1fdea38558da">Ogre::HardwareBuffer::mSizeInBytes</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00141">141</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a47e53af2e87624c42ab934766bf65fca"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mSuppressHardwareUpdate" ref="a47e53af2e87624c42ab934766bf65fca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a47e53af2e87624c42ab934766bf65fca">Ogre::HardwareBuffer::mSuppressHardwareUpdate</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00150">150</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="af97b321278124803d13b700a46657ecb"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mSystemMemory" ref="af97b321278124803d13b700a46657ecb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#af97b321278124803d13b700a46657ecb">Ogre::HardwareBuffer::mSystemMemory</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00146">146</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2eb83f024781415a7fefb31f65a255c2"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mUsage" ref="a2eb83f024781415a7fefb31f65a255c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a> <a class="el" href="classOgre_1_1HardwareBuffer.html#a2eb83f024781415a7fefb31f65a255c2">Ogre::HardwareBuffer::mUsage</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00142">142</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2caed02d4c9ad400d020ea8b0b24adf4"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mUseShadowBuffer" ref="a2caed02d4c9ad400d020ea8b0b24adf4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a2caed02d4c9ad400d020ea8b0b24adf4">Ogre::HardwareBuffer::mUseShadowBuffer</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00147">147</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab8eb0ea0224219c41ce7630bdfa1fa8c"></a><!-- doxytag: member="Ogre::D3D11HardwareVertexBuffer::mVertexSize" ref="ab8eb0ea0224219c41ce7630bdfa1fa8c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareVertexBuffer.html#ab8eb0ea0224219c41ce7630bdfa1fa8c">Ogre::HardwareVertexBuffer::mVertexSize</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00053">53</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D11HardwareVertexBuffer_8h_source.html">OgreD3D11HardwareVertexBuffer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:13
</p>
</body>
</html>
